Skip Menu |
 
rt.cpan.org will be shut down on March 1st, 2021.

This queue is for tickets about the future CPAN distribution.

Report information
The Basics
Id: 110721
Status: resolved
Priority: 0/
Queue: future

People
Owner: Nobody in particular
Requestors: leonerd-cpan [...] leonerd.org.uk
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: 0.33
Fixed in: 0.34



Subject: Extraneous dependency on M::B 0.4004
0.38 is core in oldstable. Should probably aim at that. -- Paul Evans
Patched. -- Paul Evans
Subject: rt110721.patch
Download rt110721.patch
text/x-diff 1k
=== modified file 'Build.PL' --- Build.PL 2015-03-08 18:05:07 +0000 +++ Build.PL 2016-01-04 17:12:32 +0000 @@ -3,6 +3,8 @@ use Module::Build; +use constant HAVE_M_B_TEST_REQUIRES => $Module::Build::VERSION >= '0.4004'; + # This version of Future contains an important bugfix around weak references # in sequence Futures. Unfortunately, a lot of existing CPAN code is known to # rely on this behaviour, and will break if this module is upgraded. @@ -49,7 +51,7 @@ my $build = Module::Build->new( module_name => 'Future', - test_requires => { + ( HAVE_M_B_TEST_REQUIRES ? "test_requires" : "configure_requires" ) => { 'Test::Identity' => 0, 'Test::Fatal' => 0, 'Test::More' => '0.88', # done_testing @@ -70,9 +72,7 @@ map { $_ => "< $FIXED{$_}" } keys %FIXED }}, }, - configure_requires => { - 'Module::Build' => '0.4004', # test_requires - }, + auto_configure_requires => 0, # Don't add M::B license => 'perl', create_makefile_pl => 'traditional', create_license => 1,


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.